Package org.apache.ignite.internal.processors.query.aware

## Class IndexRebuildCacheInfo

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.processors.query.aware.IndexRebuildCacheInfo

All Implemented Interfaces:
  `Externalizable`, `Serializable`

    public class IndexRebuildCacheInfo
    extends IgniteDataTransferObject

Information about the cache for which index rebuilding was started. Designed for MetaStorage.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
`IndexRebuildCacheInfo()` Default constructor for `Externalizable`.
`IndexRebuildCacheInfo​(String cacheName, boolean recreate)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `cacheName()` Getting cache name.
`byte` `getProtocolVersion()`
`protected void` `readExternalData​(byte protoVer, ObjectInput in)` Load object's specific data content.
`boolean` `recreate()`
`String` `toString()`
`protected void` `writeExternalData​(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IndexRebuildCacheInfo

    public IndexRebuildCacheInfo()

Default constructor for `Externalizable`.

#### IndexRebuildCacheInfo

    public IndexRebuildCacheInfo​(String cacheName,
                                 boolean recreate)

Constructor.

Parameters:
  `cacheName` - Cache name.
  `recreate` - `True` if index.bin recreating, `false` otherwise.

### Method Detail

#### writeExternalData

    protected void writeExternalData​(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData​(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### cacheName

    public String cacheName()

Getting cache name.

Returns:
  Cache name.

#### recreate

    public boolean recreate()

Returns:
  `True` if index.bin recreating, `false` otherwise.

#### getProtocolVersion

    public byte getProtocolVersion()

Overrides:
  `getProtocolVersion` in class `IgniteDataTransferObject`
Returns:
  Transfer object version.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`